---
id: ioreg
title: ioreg
hide_title: true
hide_table_of_contents: true
sidebar_label: ioreg
description: Query IORegistry
---
## ipsw idev diag ioreg

Query IORegistry

```
ipsw idev diag ioreg [flags]
```

### Options

```
  -c, --class string   Entry Class
  -h, --help           help for ioreg
  -n, --name string    Entry Name
  -p, --plane string   Current Plane
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -u, --udid string     Device UniqueDeviceID to connect to
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw idev diag](/docs/cli/ipsw/idev/diag)	 - Diagnostics commands

